Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Class HttpOutput

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.eclipse.jetty.server.HttpOutput

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Direct Known Subclasses:
  HttpConnection.Output

    public class HttpOutput

extends ServletOutputStream

Output.

Implements `ServletOutputStream` from the `javax.servlet` package.

A `ServletOutputStream` implementation that writes content to a `AbstractGenerator`. The class is designed to be reused and can be reopened after a close.

Field Summary
`protected ByteArrayBuffer` | `_buf`
`protected AbstractGenerator` | `_generator`
`protected long` | `_maxIdleTime`

Constructor Summary
`HttpOutput(AbstractGenerator generator, long maxIdleTime)`

Method Summary
`void` | `close()`
`void` | `flush()`
`boolean` | `isClosed()`
`boolean` | `isWritten()`
`void` | `print(java.lang.String s)` Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.
`void` | `reopen()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _generator

    protected final AbstractGenerator _generator

### _maxIdleTime

    protected final long _maxIdleTime

### _buf

    protected final ByteArrayBuffer _buf

Constructor Detail

### HttpOutput

    public HttpOutput(AbstractGenerator generator,
                      long maxIdleTime)

Method Detail

### isWritten

    public boolean isWritten()

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### isClosed

    public boolean isClosed()

### reopen

    public void reopen()

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Description copied from class: `ServletOutputStream`
  Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.

  Overrides:
    `print` in class `ServletOutputStream`
  Parameters:
    `s` - the `String` to send to the client
  Throws:
    `java.io.IOException` - if an input or output exception occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.